#
#       Makefile for lrllib
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= lrllib
LIBFSRCS	= lreq.f lreq0.f lreq1.f lreqa.f \
		  lrne.f lrne0.f lrne1.f lrnea.f \
		  lrlt.f lrlt0.f lrlt1.f lrlta.f \
		  lrgt.f lrgt0.f lrgt1.f lrgta.f \
		  lrle.f lrle0.f lrle1.f lrlea.f \
		  lrge.f lrge0.f lrge1.f lrgea.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= lreq.o lreq0.o lreq1.o lreqa.o \
		  lrne.o lrne0.o lrne1.o lrnea.o \
		  lrlt.o lrlt0.o lrlt1.o lrlta.o \
		  lrgt.o lrgt0.o lrgt1.o lrgta.o \
		  lrle.o lrle0.o lrle1.o lrlea.o \
		  lrge.o lrge0.o lrge1.o lrgea.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
